Update Event Type Availability Schedules
Update an event type availability schedule. Set Custom hours by sending timezone and optionally rules. Apply an existing Named schedule by sending user_availability_schedule.
If the Event Type’s availability_setting is all, Named schedule mode returns 400.
In Named schedule mode, availability_rule.name and availability_rule.uri are the applied schedule’s. In Custom hours mode, name is null, as today.
availability:write
Authentication
Query parameters
Request
Send exactly one mode. On the request, availability_rule.uri is
deprecated and ignored. Use user_availability_schedule in Named
schedule mode.
Named schedule mode — Send user_availability_schedule and
optionally user. Do not send timezone or rules.
Custom hours mode — Send timezone and optionally rules. Do
not send user_availability_schedule.
Send both modes or send neither mode. The API returns 400.